 

DECLARE @PanelInformationValidationSchemaDefaultValues TABLE (
	ParameterType [nvarchar](100) NULL,
	DefaultValue [nvarchar](max) NOT NULL
)

INSERT @PanelInformationValidationSchemaDefaultValues values (N'FTP_Log_Port_DefaultValues', N'[{"type": "All","value": 21}]')
INSERT @PanelInformationValidationSchemaDefaultValues values (N'SafetyAndSOS_ExclusionZone_DefaultValues', N'[{"type": "All","value": true}]')


MERGE INTO [dbo].PanelInformationValidationSchemaDefaultValues AS TARGET  
USING @PanelInformationValidationSchemaDefaultValues AS SOURCE  
ON TARGET.ParameterType = SOURCE.ParameterType
WHEN NOT MATCHED BY TARGET THEN
INSERT (ParameterType,DefaultValue)
VALUES (SOURCE.ParameterType,SOURCE.DefaultValue )
WHEN MATCHED THEN    
UPDATE SET	TARGET.DefaultValue = source.DefaultValue

OUTPUT $action, SOURCE.*;

